Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ObjectReferenceTemplate Class Reference

Implementation of the PortableInterceptor::ObjectReferenceTemplate interface. More...

`#include <ObjectReferenceTemplate.h>`

Inheritance diagram for TAO_ObjectReferenceTemplate:

[legend]
Collaboration diagram for TAO_ObjectReferenceTemplate:

[legend]
List of all members.

## Public Methods
| TAO_ObjectReferenceTemplate (const char *server_id, const char *orb_id, TAO_POA *poa)
| Constructor.
void | poa (TAO_POA *poa)
| Set the underlying POA pointer.
PortableInterceptor::ObjectReferenceTemplate Methods
Methods required by the PortableInterceptor::ObjectReferenceTemplate ValueType.
virtual char * | server_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual char * | orb_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual PortableInterceptor::AdapterName * | adapter_name (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
PortableInterceptor::ObjectReferenceFactory Methods
Methods required by the PortableInterceptor::ObjectReferenceFactory ValueType.
virtual CORBA::Object_ptr | make_object (const char *repository_id, const PortableInterceptor::ObjectId &id ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
## Protected Methods
| ~TAO_ObjectReferenceTemplate (void)
| Destructor.
## Private Attributes
const char * | server_id_
const char * | orb_id_
PortableInterceptor::AdapterName_var | adapter_name_
TAO_POA * | poa_

## Detailed Description

Implementation of the PortableInterceptor::ObjectReferenceTemplate interface.

## Constructor & Destructor Documentation

TAO_ObjectReferenceTemplate::TAO_ObjectReferenceTemplate | ( | const char * | server_id,
|  | const char * | orb_id,
|  | TAO_POA * | poa
| ) |

| Constructor.

TAO_ObjectReferenceTemplate::~TAO_ObjectReferenceTemplate | ( | void |  | ) | `[protected]`

| Destructor. Protected destructor to enforce proper memory management via reference counting.

## Member Function Documentation

PortableInterceptor::AdapterName * TAO_ObjectReferenceTemplate::adapter_name | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

virtual CORBA::Object_ptr TAO_ObjectReferenceTemplate::make_object | ( | const char * | repository_id,
|  | const PortableInterceptor::ObjectId &id | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[virtual]`

char * TAO_ObjectReferenceTemplate::orb_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

ACE_INLINE void TAO_ObjectReferenceTemplate::poa | ( | TAO_POA * | poa | ) |

| Set the underlying POA pointer. Upon destruction of the POA that this ObjectReferenceTemplate is associated with, the underlying POA pointer will be set to zero to forcibly break all ties with the POA. This is necessary to prevent this ObjectReferenceTemplate from invoking the POA after it has been destroyed.

char * TAO_ObjectReferenceTemplate::server_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

PortableInterceptor::AdapterName_var TAO_ObjectReferenceTemplate::adapter_name_`[private]`

const char* TAO_ObjectReferenceTemplate::orb_id_`[private]`

TAO_POA* TAO_ObjectReferenceTemplate::poa_`[private]`

const char* TAO_ObjectReferenceTemplate::server_id_`[private]`

The documentation for this class was generated from the following files:

- ObjectReferenceTemplate.h
- ObjectReferenceTemplate.cpp
- ObjectReferenceTemplate.inl